state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		HOLD_POSITION	: NAME "Hold"
		MUSKET_READY	: HAVE_ENEMY CHANCE "0.4" CAN_SHOOT_ENEMY
		APPROACH		: HAVE_ENEMY
		ALERT_2		: ANIM_DONE STATE_TIME "14" CHANCE "0.3"
		ALERT_1		: NOISE_HEARD
	}
}

state ALERT_1
{
	legs
	{
		alert_1 : default
	}

	entrycommands
	{
		fov 330
	}

	behavior Watch

	exitcommands
	{
		fov 150
	}

	states
	{
		PAIN	: PAIN
		SCOUT	: ANIM_DONE NOISE_HEARD
		IDLE 	: ANIM_DONE
	}
}

state ALERT_2
{
	legs
	{
		alert_2 : default
	}

	behavior idle

	states
	{
		PAIN	: PAIN
		SCOUT	: ANIM_DONE NOISE_HEARD
		IDLE 	: ANIM_DONE
	}
}

state SCOUT
{
	legs
	{
	}

	behavior Investigate "walk_medium" "8"

	states
	{
		PAIN		: PAIN
		APPROACH	: HAVE_ENEMY
		IDLE		: DONE
	}
}

state APPROACH
{
	legs
	{
		walk_medium : default
	}

	behavior GetCloseToEnemy "walk_medium"

	states
	{
		PAIN			: PAIN
		IDLE			: !HAVE_ENEMY
		HOLD_POSITION	: NAME "Hold"
		RETREAT		: STATE_TIME "0.5" HEALTH "45" RANGE "400"
		HOLD_POSITION	: NO_PATH CAN_SHOOT_ENEMY
		MELEE_READY		: RANGE "110" CAN_SEE_ENEMY
		CHARGE		: !RANGE "250" CAN_SEE_ENEMY
		MUSKET_READY 	: ANIM_DONE CHANCE "0.4" !RANGE "120" CAN_SHOOT_ENEMY
		MUSKET_READY 	: !CAN_SEE_ENEMY CAN_BLINDFIRE ENEMY_LAST_SEEN_TIME "5" CHANCE "0.2"
	}
}

state HOLD_POSITION
{
	legs
	{
		idle : default
	}

	behavior Watch "5"

	states
	{
		PAIN			: PAIN
		IDLE			: !NAME "Hold" !HAVE_ENEMY
		RETREAT		: !NAME "Hold" STATE_TIME "0.5" HEALTH "45" RANGE "400"
		MELEE_READY		: RANGE "110" CAN_SEE_ENEMY
		MUSKET_READY 	: ANIM_DONE CHANCE "0.75" !RANGE "250" CAN_SHOOT_ENEMY
		APPROACH		: !NAME "Hold" !HEALTH "45" !CAN_SEE_ENEMY !NO_PATH
	}
}

state CHARGE
{
	legs
	{
		walk_fast	: default
	}

	behavior GetCloseToEnemy "walk_fast"

	states
	{
		PAIN			: PAIN
		IDLE			: !HAVE_ENEMY
		HOLD_POSITION	: NAME "Hold"
		RETREAT		: STATE_TIME "0.2" HEALTH "45" RANGE "400"
		HOLD_POSITION	: NO_PATH CAN_SHOOT_ENEMY
		MUSKET_READY	: ANIM_DONE CHANCE "0.4" CAN_SHOOT_ENEMY
		MUSKET_READY 	: !CAN_SEE_ENEMY CAN_BLINDFIRE ENEMY_LAST_SEEN_TIME "5" CHANCE "0.3"
		APPROACH		: ANIM_DONE RANGE "230"
		APPROACH		: ANIM_DONE !CAN_SEE_ENEMY
	}
}

state RETREAT
{
	behavior Flee "retreat_1"

	time "2" "5"

	states
	{
		PAIN			: PAIN
		MELEE_READY		: STATE_TIME "1" RANGE "120" CAN_SEE_ENEMY
		HOLD_POSITION	: !RANGE "475" CHANCE "0.666"
		RETREAT_LOOK	: TIME_DONE
		IDLE			: BEHAVIOR_DONE
	}
}

state RETREAT_LOOK
{
	behavior Flee "retreat_2"

	time "1" "2"

	states
	{
		PAIN			: PAIN
		MELEE_READY		: STATE_TIME "1" RANGE "120" CAN_SEE_ENEMY
		HOLD_POSITION	: !RANGE "475" CHANCE "0.666"
		RETREAT		: TIME_DONE
		IDLE			: BEHAVIOR_DONE
	}
}

state PAIN
{
	legs
	{
		pain : default
	}

	behavior idle

	states
	{
		HOLD_POSITION	: NAME "Hold"
		APPROACH		: ANIM_DONE HAVE_ENEMY
		IDLE			: ANIM_DONE
	}
}

state MELEE_READY
{
	behavior Watch

	states
	{
		MANDIBLE_ATTACK	: CHANCE "0.6" RANGE "120"
		STAB_ATTACK		: RANGE "120"
		APPROACH		: default
	}
}

state MANDIBLE_ATTACK
{
	legs
	{
		attack_1 : default
	}

	behavior Watch

	states
	{
		APPROACH : ANIM_DONE
	}
}

state STAB_ATTACK
{
	legs
	{
		attack_2_start : default
	}

	behavior Watch

	states
	{
      STAB_FLING	: ANIM_DONE RANGE "110" "48"
      END_STAB		: ANIM_DONE
	}
}

state STAB_FLING
{
	legs
	{
	      raise : default
	}

	behavior DragEnemy "tag_bayonet" "tag_gut" "5"

	states
	{
		APPROACH : ANIM_DONE
	}
}

state END_STAB
{
	legs
	{
		attack_2_2idle : default
	}

	behavior idle

	states
	{
		APPROACH : ANIM_DONE
	}
}

state MUSKET_READY
{
	legs
	{
		attack_3_idle_2fire : default
	}

	behavior Watch

	states
	{
		PAIN		: PAIN
		ATTACK	: ANIM_DONE
	}
}

state ATTACK
{
	legs
	{
		attack_3_fire : default
	}
	
	behavior Watch

	states
	{
		END_ATTACK : ANIM_DONE
	}
}

state END_ATTACK
{
	legs
	{
		attack_3_fire_2idle : default
	}
	
	behavior Watch

	states
	{
		PAIN		: PAIN
		APPROACH	: ANIM_DONE HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "ICEWAND"
		death_1	: default
	}

	states
	{
		GIB	: !MOD "knife" !MOD "icewand" !MOD "frozen" CHANCE "0.1"
	}
}

state GIB
{
	legs
	{
		death_12 : default
	}

	entrycommands
	{
		entry letgo
		tossplayer "-24 -24 35"
		surface all +nodraw
		removeattachedmodel tag_weapon
		spawnnamedgib w_musket.tik tag_weapon 90 0
		noshadow
		spawnbloodygibs 5 1
	}
}
