// Ladybug should never go to IDLE state except when spawned.  If we go back to
// IDLE it is an error, so just have the Ladybug EXPLORE until she hopefully
// finds the player.

state IDLE
{
	legs
	{
		idle : default
	}

	states
	{
		DEATH_START	: HEALTH "1000"
		APPROACH	: HAVE_ENEMY
		//EXPLORE	: STATE_TIME "2" !HAS_THING "1"
	}
}

// DHM - Approach height = 192 + Alice-height(64) = 256
// We want them to drop acorn in a 128 unit radius from Alice.
// So, SQRT( 256^2 + 128^2 ) == 286 units is the range to drop from. (Thanks Pythagarus!)

state APPROACH
{
	legs
	{
		fly_normal_acorn : HAS_THING "1"
		fly_normal : default
	}

	behavior FlyCloseToEnemy "fly_normal" "5" "240" "192"

	states
	{
		DEATH_START		: HEALTH "1000"
		PAIN_APPROACH	: PAIN
		EXPLORE		: !CAN_SEE_ENEMY
		ATTACK		: HAS_THING "1" RANGE "286"
	}
}

state FOLLOWSPLINE
{
	legs
	{
		fly_normal_acorn : HAS_THING "1"
		fly_normal : default
	}

	behavior FollowSpline

	//time "4" "6"

	states
	{
		DEATH_START		: HEALTH "1000"
		PAIN_APPROACH	: HAS_THING "1" PAIN
		PAIN_RETURNSPLINE	: PAIN
		APPROACH		: HAVE_ENEMY
	}
}

state EXPLORE
{
	legs
	{
		fly_normal_acorn : HAS_THING "1"
		fly_normal : default
	}

	behavior FlyWander "fly_normal" "240" "5" "3" "1"
	//time "5" "8"

	states
	{
		DEATH_START	: HEALTH "1000"
		APPROACH	: CAN_SEE_ENEMY
		RETURN_TO_SPLINE	: STATE_TIME "30"
	}
}

state ATTACK
{
	legs
	{
		attack_bomb : default
	}

	behavior Watch

	exitcommands
	{
		havething 1 0
	}

	states
	{
		DEATH_START		: ANIM_DONE HEALTH "1000"
		RETURN_TO_SPLINE	: ANIM_DONE 
	}
}

state RETURN_TO_SPLINE
{
	behavior FlyToSplinePath "fly_normal" "8" "300"

	states
	{
		PAIN_RETURNSPLINE	: PAIN
		DEATH_START		: HEALTH "1000"
		WAIT			: BEHAVIOR_DONE
		APPROACH		: STATE_TIME "12" HAS_THING "1" CAN_SEE_ENEMY
	}
}

state WAIT
{
	states
	{
		DEATH_START	: HEALTH "1000"
		EXPLORE	: STATE_TIME "1"
	}
}

state PAIN_APPROACH
{
	legs
	{
		pain_right : PAIN_YAW "-40"
		pain_right_acorn : PAIN_YAW "-40" HAS_THING "1"
		pain_center : PAIN_YAW "40"
		pain_center_acorn : PAIN_YAW "40" HAS_THING "1"
		pain_left_acorn : HAS_THING "1"
		pain_left : default
	}

	//behavior idle

	states
	{
		DEATH_START	: HEALTH "1000"
		APPROACH	: ANIM_DONE
	}
}

state PAIN_RETURNSPLINE
{
	legs
	{
		pain_right : PAIN_YAW "-40"
		pain_right_acorn : PAIN_YAW "-40" HAS_THING "1"
		pain_center : PAIN_YAW "40"
		pain_center_acorn : PAIN_YAW "40" HAS_THING "1"
		pain_left_acorn : HAS_THING "1"
		pain_left : default
	}

	//behavior idle

	states
	{
		DEATH_START		: HEALTH "1000"
		RETURN_TO_SPLINE	: ANIM_DONE
	}
}

state DEATH_START
{
	legs
	{
		death_hit_acorn : HAS_THING "1"
		death_hit : default
	}

	entrycommands
	{
		fly 0
	}

	behavior idle

	states
	{
		DEATH_FROZEN	: MOD "icewand"
		//GIB_1			: !MOD "frozen" !MOD "icewand" CHANCE "0.1" HAS_THING "1"
		//GIB_2			: !MOD "frozen" !MOD "icewand" CHANCE "0.1" !HAS_THING "1"
		DEATH_AIR		: ANIM_DONE
	}
}

state DEATH_FROZEN
{
	legs
	{
		death_frozen : default
	}

	entrycommands
	{
		fly 0
	}

	behavior idle

	exitcommands
	{
		suicide
	}

	states
	{
		DEATH	: ON_GROUND
		DEATH : STATE_TIME "3"
	}
}

state DEATH_AIR
{
	legs
	{
		death_air : default
	}

	behavior idle

	exitcommands
	{
		suicide
	}

	states
	{
		DEATH	: ON_GROUND
		DEATH : STATE_TIME "3"
	}
}

state DEATH
{
	legs
	{
		death_land : !MOD "icewand"
	}

	behavior idle
}

state GIB_1
{
	legs
	{
		death_air : default
	}

	entrycommands
	{
		surface all +nodraw
		removeattachedmodel tag_weapon
		proj tag_weapon prj_acorn.tik
		noshadow
		spawnbloodygibs 4 1
	}
}

state GIB_2
{
	legs
	{
		death_air : default
	}

	entrycommands
	{
		surface all +nodraw
		removeattachedmodel tag_weapon
		noshadow
		spawnbloodygibs 4 1
	}
}
