state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		HOLD_POSITION	: NAME "Hold"
		//GO_FOR_COVER	: HAVE_ENEMY CHANCE "0.2"
		STAND_ATTACK	: HAVE_ENEMY CHANCE "0.5"
		READY_STATE		: HAVE_ENEMY
		SCOUT			: NOISE_HEARD
		IDLE_PLAY		: ANIM_DONE STATE_TIME "14" CHANCE "0.2"
	}
}

state IDLE_PLAY
{
	legs
	{
		twitch	: default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		READY_STATE		: ANIM_DONE HAVE_ENEMY
		IDLE			: ANIM_DONE
	}
}

state SCOUT
{
	behavior Investigate "run" "6"

	states
	{
		PAIN		: PAIN
		APPROACH	: HAVE_ENEMY
		IDLE		: DONE
	}
}

state READY_STATE
{
	legs
	{
		staffcock : default
	}

	behavior idle

	states
	{
		PAIN		: PAIN
		APPROACH	: ANIM_DONE HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state COWER
{
	legs
	{
		idle : default
	}

	behavior Watch

	states
	{
		RUN_AWAY	: CAN_SEE_ENEMY
	}
}

state RUN_AWAY
{
	behavior Flee "run"

	states
	{
		APPROACH	: !HEALTH "15" CAN_JUMP_TO_ENEMY
		ATTACK_READY	: RANGE "100" CAN_SEE_ENEMY
		COWER		: DONE !CAN_SEE_ENEMY
		IDLE		: DONE !HAVE_ENEMY
	}
}

state HOLD_POSITION
{
	legs
	{
		idle : default
	}

	behavior Watch

	states
	{
		PAIN			: PAIN
		IDLE			: !NAME "Hold" !HAVE_ENEMY
		RUN_AWAY		: !NAME "Hold" STATE_TIME "0.5" HEALTH "4" RANGE "250"
		ATTACK_READY	: RANGE "110" CAN_SEE_ENEMY
		STAND_ATTACK	: ANIM_DONE CHANCE "0.8" !RANGE "250" CAN_SHOOT_ENEMY
		APPROACH		: !NAME "Hold" !HEALTH "15" !CAN_SEE_ENEMY !NO_PATH
	}
}

state APPROACH
{
	legs
	{
		walk : default
	}

	behavior GetCloseToEnemy "walk"

	states
	{
		PAIN			: PAIN
		IDLE			: !HAVE_ENEMY
		RUN_AWAY		: STATE_TIME "0.5" HEALTH "4" CAN_SEE_ENEMY
		HOLD_POSITION	: NAME "Hold"
		HOLD_POSITION	: NO_PATH CAN_SHOOT_ENEMY
		ATTACK_READY	: RANGE "100" CAN_SEE_ENEMY
		CHARGE		: !RANGE "250" CAN_SEE_ENEMY
		//SEARCH		: !CAN_JUMP_TO_ENEMY
		WALK_ATTACK		: ANIM_DONE CHANCE "0.333" CAN_SHOOT_ENEMY
		APPROACH_RESET	: DONE
	}
}

state APPROACH_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk"

	states
	{
      	APPROACH : default    
	}
}

state SEARCH
{
	legs
	{
	}

	behavior FindEnemy "run"

	states
	{
		APPROACH	: CAN_JUMP_TO_ENEMY
		APPROACH	: DONE
	}
}

state CHARGE
{
	legs
	{
		run	: default
	}

	behavior GetCloseToEnemy "run"

	states
	{
		PAIN			: PAIN
		IDLE			: !HAVE_ENEMY
		RUN_AWAY		: STATE_TIME "0.5" HEALTH "4" CAN_SEE_ENEMY
		HOLD_POSITION	: NO_PATH CAN_SHOOT_ENEMY
		HOLD_POSITION	: NAME "Hold"
		//ATTACK		: RANGE "120"
		APPROACH		: ANIM_DONE RANGE "250"
		CHARGE_ATTACK	: ANIM_DONE CHANCE "0.2"
		//SEARCH		: !CAN_JUMP_TO_ENEMY
		//GO_FOR_COVER	: ANIM_DONE CHANCE "0.2"
		CHARGE_RESET	: DONE
	}
}

state CHARGE_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "run"

	states
	{
      	CHARGE : default    
	}
}

state CHARGE_ATTACK
{
	legs
	{
		run_attack	: default
	}

	behavior Watch

	states
	{
		CHARGE : ANIM_DONE
	}
}


state GO_FOR_COVER
{
	legs
	{
		run : default
	}

   entrycommands
      {
      // mark that we've seen the enemy, or else we risk
      // forgetting about them if the just chase us.
      sawenemy
      }

	behavior FindCover "run" "idle"

	states
	{		
		IDLE			: !HAVE_ENEMY
		APPROACH		: BEHAVIOR_DONE CAN_SEE_ENEMY
		WAIT_IN_COVER	: BEHAVIOR_DONE
	}
}

state WAIT_IN_COVER
{
	time "1" "4"

	legs
	{
		idle : default
	}

	behavior Watch

	states
	{		
		IDLE			: !HAVE_ENEMY
		ATTACK_FROM_COVER	: TIME_DONE
		COVER_ATTACK	: CAN_SHOOT_ENEMY
		ATTACK_FROM_COVER	: CHANCE "0.5" ENEMY_CAN_SEE_ME
		GO_FOR_COVER	: ENEMY_CAN_SEE_ME
	}
}

state ATTACK_FROM_COVER
{
	legs
	{
		run : default
	}

	behavior FindEnemy "run"

	states
	{		
		IDLE			: !HAVE_ENEMY
		COVER_ATTACK	: CAN_SHOOT_ENEMY
		COVER_ATTACK	: BEHAVIOR_DONE
		APPROACH		: STUCK
		APPROACH		: NO_PATH
	}
}

state COVER_ATTACK
{
	legs
	{
		run_attack	: default
	}

	behavior Watch

	states
	{
		GO_FOR_COVER : ANIM_DONE CHANCE "0.333"
		APPROACH	 : ANIM_DONE
	}
}

state PAIN
{
	legs
	{
		pain : default
	}

	behavior idle

	states
	{
		APPROACH	: ANIM_DONE HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state WALK_ATTACK
{
	legs
	{
		walk_attack : default
	}

	behavior Watch

	states
	{
		APPROACH : ANIM_DONE
	}
}

state ATTACK_READY
{
	legs
	{
		walk_2attack : default
	}

	behavior Watch

	states
	{
		PAIN	: PAIN
		ATTACK	: ANIM_DONE
	}
}

state ATTACK
{
	legs
	{
		attack : default
	}
	
	behavior Watch

	states
	{
		END_ATTACK : ANIM_DONE
	}
}

state END_ATTACK
{
	legs
	{
	}
	
	behavior GetCloseToEnemy "walk"

	states
	{
		PAIN		: PAIN
		ATTACK	: RANGE "100" CAN_SEE_ENEMY
		APPROACH	: default
	}
}

state STAND_ATTACK
{
	legs
	{
		stand_attack :	default
	}

	behavior Watch

	states
	{
		END_ATTACK : ANIM_DONE
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "ICEWAND"
		death_2	: PAIN_YAW "-40"
		death_1	: PAIN_YAW "40"
		death_2	: default
	}

	states
	{
		GIB	: !MOD "knife" !MOD "icewand" !MOD "frozen" CHANCE "0.1"
	}
}

state GIB
{
	legs
	{
		death_gib : default
	}

	entrycommands
	{
		surface all +nodraw
		removeattachedmodel tag_weapon
		spawnnamedgib w_diamondstaff.tik tag_weapon 90 0
		noshadow
		spawnbloodygibs 5 1
	}
}
